@if (columnDisplay && row) {
  @if ($componentData(); as componentData) {
    <div
      class="full-width full-height container"
      [class.disabled-row]="row.disabled"
      [class.container-interactive]="canEdit()"
      [class.editable]="canEdit()"
      (click)="showProfileList()"
    >
      <span
        #profileName
        class="text-ellipsis m-auto-0"
        nz-tooltip
        [sqtmCoreLabelTooltip]="
          getCellText(componentData.project.availableProfiles)
        "
      >
        {{ getCellText(componentData.project.availableProfiles) }}
      </span>
      <ng-template #templatePortalContent>
        <sqtm-core-list-panel
          [selectedItem]="row.data[columnDisplay.id]"
          (itemSelectionChanged)="change($event)"
          [items]="panelItems"
          [hidden]="!canEdit()"
        >
        </sqtm-core-list-panel>
      </ng-template>
      <i
        class="caret-icon flex-fixed-size"
        nz-icon
        nzType="caret-down"
        nzTheme="outline"
        [class.container-interactive]="canEdit()"
        [hidden]="!canEdit()"
      ></i>
    </div>
  }
}
